/**
 * Компонент NavigationDrawer — это компонент навигационного меню,
 * который используется для организации и упрощения навигации по приложению.
 */
export declare const NavigationDrawer: import("react").FunctionComponent<import("@salutejs/plasma-new-hope/types/engines/types").PropsType<{
    view: {
        default: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
    };
    size: {
        s: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        m: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
    };
}> & (({
    mode?: "static" | "drawer" | "overlay";
    opened?: boolean;
    onHide?: () => void;
    header?: import("react").ReactNode;
    footer?: import("react").ReactNode;
    size?: string;
    view?: string;
    children?: import("react").ReactNode;
} & {
    sections: {
        items: import("@salutejs/plasma-new-hope/types/components/NavigationDrawer/NavigationDrawer.types").MenuItem<true>[];
        label?: import("react").ReactNode;
        hasDivider?: boolean;
    }[];
    withContentLeft: true;
} & import("react").RefAttributes<HTMLDivElement>) | ({
    mode?: "static" | "drawer" | "overlay";
    opened?: boolean;
    onHide?: () => void;
    header?: import("react").ReactNode;
    footer?: import("react").ReactNode;
    size?: string;
    view?: string;
    children?: import("react").ReactNode;
} & {
    sections: {
        items: import("@salutejs/plasma-new-hope/types/components/NavigationDrawer/NavigationDrawer.types").MenuItem<false>[];
        label?: import("react").ReactNode;
        hasDivider?: boolean;
    }[];
    withContentLeft?: never;
} & import("react").RefAttributes<HTMLDivElement>))>;
